﻿$packageName = 'puppet-agent'
$url32       = 'https://release-archives.puppet.com/downloads/windows/puppet-agent-1.10.14-x86.msi'
$url64       = 'https://release-archives.puppet.com/downloads/windows/puppet-agent-1.10.14-x64.msi'
$checksum32  = '74fa1b1aed52903b6917aeaa7c5c84def218c7330b1d878f7094945195b7df0c'
$checksum64  = '9652c67d706ceae0c10708976eb89de8c5e9076acf85086cd15acc0b165b58e0'


$packageArgs = @{
  packageName    = $packageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = "/qn /norestart"
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
